Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Virgo » Virgo 3.7.0.M03 - Repository/ext spring-webmvc requires jstl 1.2.1(Failed to invoke JSTL Utils due to missing dependency)
Virgo 3.7.0.M03 - Repository/ext spring-webmvc requires jstl 1.2.1 [message #1747175] Thu, 10 November 2016 14:07 Go to next message
Junior Sousa is currently offline Junior SousaFriend
Messages: 15
Registered: September 2016
Junior Member
The api repistory/org.springframework.webmvc_4.2.4.RELEASE.jar requires jst version 1.2.1 into manifest.mf, however, the jstl available into virgo is 1.2.0


MANIFEST.MF (spring web mvc)
Import-Package:
javax.servlet.jsp.jstl.
 core;version="1.2.1";resolution:=optional,javax.servlet.jsp.jstl.fmt;
 version="1.2.1";


MANIFEST.MF ( javax.servlet.jsp.jstl_1.2.0_v201105211821.jar)

Export-Package: javax.servlet.jsp.jstl.core;version="1.2.0",javax.serv
 let.jsp.jstl.fmt;version="1.2.0",javax.servlet.jsp.jstl.sql;version="
 1.2.0",javax.servlet.jsp.jstl.tlv;version="1.2.0"
Bundle-Version: 1.2.0.v201105211821


I tried remove the jstl version 1.2.0 from ext repository and add the version 1.2.1, but this break virgo during instalation of packages

[code
Caused by: java.io.FileNotFoundException: C:\\virgo-tomcat-server-3.7.0.M03\repository\ext\javax.ser
let.jsp.jstl_1.2.0.v201105211821.jar
at org.eclipse.osgi.framework.internal.protocol.reference.ReferenceURLConnection.checkRead(ReferenceURLConnection.java:66)
at org.eclipse.osgi.framework.internal.protocol.reference.ReferenceURLConnection.connect(ReferenceURLConnection.java:58)
at org.eclipse.osgi.framework.internal.protocol.reference.ReferenceURLConnection.getInputStream(ReferenceURLConnection.java:100)
at java.net.URL.openStream(URL.java:1045)
at org.eclipse.virgo.kernel.userregion.internal.quasi.StandardQuasiFramework.openBundleStream(StandardQuasiFramework.java:473)
... 14 common frames omitted
[/code]

How can I figure out this issue?

Regards,

Junior Sousa
Re: Virgo 3.7.0.M03 - Repository/ext spring-webmvc requires jstl 1.2.1 [message #1748676 is a reply to message #1747175] Sat, 26 November 2016 15:44 Go to previous messageGo to next message
daniel marthaler is currently offline daniel marthalerFriend
Messages: 77
Registered: April 2012
Location: Z├╝rich
Member
Can you please open a bug report for the missing dependency "javax.servlet.jsp.jstl.fmt" in version 1.2.1?
Re: Virgo 3.7.0.M03 - Repository/ext spring-webmvc requires jstl 1.2.1 [message #1748794 is a reply to message #1748676] Mon, 28 November 2016 16:33 Go to previous message
Junior Sousa is currently offline Junior SousaFriend
Messages: 15
Registered: September 2016
Junior Member
I found an opened issue for this case at https://bugs.eclipse.org/bugs/show_bug.cgi?id=501337
Previous Topic:Alternative of using of snaps with Virgo 3.7.0.M3
Next Topic:External Integration of 3rd party non OSGI jars
Goto Forum:
  


Current Time: Sun Sep 23 06:18:33 GMT 2018

Powered by FUDForum. Page generated in 0.03412 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top